pilot(1)

Nom
pilot – Navigateur simple de système de fichiers dans le style de Composer d’Alpine

Syntaxe
pilot [ options ] [ répertoire ]

Description
pilot est un navigateur de système de fichiers orienté affichage, basé sur le compositeur du système de messages Alpine. Comme avec celui-ci, les commandes sont affichées au bas de l’écran et une aide selon le contexte est fournie.

pilot affiche le répertoire de travail actuel au haut de l’écran. Le contenu du répertoire est affiché par paires nom de fichier/taille de fichier sur deux colonnes. Les noms de répertoire sont indiqués par la mention « (dir) » à la place de la taille de fichier. Le parent du répertoire de travail est indiqué par le nom de fichier « .. » avec « (parent dir) » à la place de la taille. Les noms de fichier qui sont des liens symboliques vers d’autres fichiers sont indiqués avec « -- » à la place de la taille de fichier.

Plusieurs commandes de manipulation basiques sont fournies : Delete (suppression), Rename (renommage), Copy (copie), View (vue), Launch (lancement) et Edit (édition). Les commandes « View » et « Edit » ne concernent que les fichiers texte. Par défaut, la commande « View » affiche les fichiers en utilisant « alpine -F », mais respecte la variable d’environnement PAGER si elle est définie. La commande « Edit » invoque simplement pico(1). La commande « Launch » fournit un moyen pratique pour exécuter le fichier sélectionné directement ou par l’intermédiaire d’une application.

Une aide plus spécifique est disponible dans l’aide en ligne de pilot.

Options

-a  Affichage de tous les fichiers, y compris ceux débutant par un point (.).

-f  Utilisation des touches de fonction pour les commandes. Cette option n’est prise en charge qu’avec « UW Enhanced NCSA telnet ».

-g  Activation du mode « Affichage du curseur ». Cela fait que le curseur est positionné avant la sélection actuelle plutôt qu’au bas gauche de l’écran.

-j  Activation de la commande « Goto ». Cela active la commande pour permettre d’indiquer explicitement à pilot quel répertoire parcourir.

-m  Activation des fonctions de la souris. Cela fonctionne uniquement quand pilot est exécuté dans une fenêtre xterm(1) du système X Window.

-nn L’option -nn active la notification de nouveaux courriels. L’argument n est facultatif et spécifie à quel rythme, en seconde, la boîte aux lettres est interrogée pour de nouveaux courriels. Par exemple, « -n60 » fait que pilot vérifie l’arrivée de nouveaux courriels toutes les minutes. L’intervalle par défaut est 180 secondes tandis que le minimum autorisée est 30 (remarque : aucune espace entre « n » et le nombre).

-o répertoire
    Définition du répertoire sur lequel opérer. Seuls les fichiers dans ce répertoire seront accessibles et la navigation est limitée au sous-arbre de ce répertoire.

-v  Affichage d’une seule colonne verticale.

-x  Désactivation du menu de touches au bas de l’écran.

-z  Suspension de pilot à l’aide de « ^Z ».

-q  Les définitions de termcap(5) ou terminfo(5) pour les séquences d’échappement de l’entrée sont utilisées par défaut. Cette option n’est disponible que si pilot a été compilé avec la définition TERMCAP_WINS activée.

-setlocale_ctype
    Exécution de « setlocale(LC_CTYPE) » si disponible. Par défaut, cette exécution n’est pas réalisée.

-no_setlocale_collate
    Non exécution de « setlocale(LC_COLLATE) ». Par défaut, cette exécution est réalisée.

Auteurs
Michael Seibel <mikes@cac.washington.edu>
Copyright 1994-2007 de l’Université de Washington.

Voir aussi
alpine(1)
La distribution du source (partie du « Alpine Message System »).

$Date: 14/01/2005 20:40:14 $

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.